
I was age 20 at the time. I went out with friends to a bar. I wasn't drinking any alcohol. I didn't have my driving license. I was going out with a girl who was drinking a lot. When she drinks, she becomes aggressive. A friend of ours got a phone call from his little handicapped brother who had been invited, for the first time, out for an evening. Over there, things went badly for the brother because people were making fun of him. So my friend, girlfriend and I went to go get him.

My girlfriend was very aggressive in the car. She said that she wanted to kill those people who made fun of him. So I asked her several times to let me out of the car. The music was loud. She either didn't hear me or she was blocked. I don't know. I opened the front passenger door of the car; put my right foot on rim of the door, and my blue sandal slipped. My sandal was blue. I was wearing a long white skirt.

I found myself unconscious on the road; on the other hand, I could see from higher above, where my body was lying on the street. I could see my exact position like it was full daylight, yet it was nighttime. I didn't see the car. I saw a happy childhood memory where I was on a scooter with my sister in the courtyard at my parent's house. After that, I saw the white light. Then I saw blackness and felt pain. I hurt at the level of my left ankle, where the asphalt had seriously scraped my skin. My girlfriend dropped me alone at the emergency services. I wasn't afflicted with anything, except hitting my malleolus at the left ankle; no head trauma at all; nothing else.

Later on in 2005, I got into my car. I didn't feel good mentally and was tired of seeing my 8-year-old son in front of his computer. Our lack of communication was hurting me and I was unlucky in love. I drove to my former girlfriend's house. I found she had gone to Ireland without telling how to contact her.

On the way, I was overcome with a suicidal impulse. I was on a less frequented road and thought that if I would kill myself nobody would care. I watched the road and aimed at an oak tree. As I accelerated, I closed my eyes, and then blinked to see if I was still going to hit the tree.

I found myself unconscious at the steering wheel of my car; but in the meantime, I had some flashes of the past and of future events. I also saw the deceased mother of my present partner who was on a bicycle. I had never seen her before, not even in a photo. I saw my son waiting for me and bent towards the kitchen window. He was not in front of his computer and this was exactly what was happening when I got home three hours later.
